[tool.poetry]
name = "py-kivy"
version = "0.1.0"
description = ""
authors = ["Jasen Qin <capitalswine@gmail.com>"]
readme = "README.md"
package-mode = false

[tool.poetry.dependencies]
python = "^3.12"
Kivy = "^2.3.0"
fastapi = "^0.111.0"
hypothesis = "^6.105.1"
pymongo = "^4.8.0"
pytest = "^8.2.2"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"

[tool.autopep8]
indent-size = 2
